<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'guru',

    /*
     * Package.
     */
    'package'   => 'push_postback',

    /*
     * Modules.
     */
    'modules'   => ['push_postback'],


    'push_postback'       => [
        'model'             => 'Guru\PushPostback\Models\PushPostback',
        'table'             => 'push_postbacks',
        'presenter'         => \Guru\PushPostback\Repositories\Presenter\PushPostbackItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'name'],
        'translate'         => ['name'],

        'upload-folder'     => '/uploads/push_postback/push_postback',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
];
