<?php

// Admin web routes  for push_postback
Route::group(['prefix' => trans_setlocale().'/admin/push_postback'], function () {
    Route::resource('push_postback', 'Guru\PushPostback\Http\Controllers\PushPostbackAdminWebController');
});

// Admin API routes  for push_postback
Route::group(['prefix' => trans_setlocale().'api/v1/admin/push_postback'], function () {
    Route::resource('push_postback', 'Guru\PushPostback\Http\Controllers\PushPostbackAdminApiController');
});

// User web routes for push_postback
Route::group(['prefix' => trans_setlocale().'/user/push_postback'], function () {
    Route::resource('push_postback', 'Guru\PushPostback\Http\Controllers\PushPostbackUserWebController');
});

// User API routes for push_postback
Route::group(['prefix' => trans_setlocale().'api/v1/user/push_postback'], function () {
    Route::resource('push_postback', 'Guru\PushPostback\Http\Controllers\PushPostbackUserApiController');
});

// Public web routes for push_postback
Route::group(['prefix' => trans_setlocale().'/push_postbacks'], function () {
    Route::get('/', 'Guru\PushPostback\Http\Controllers\PushPostbackPublicWebController@index');
    Route::get('/{slug?}', 'Guru\PushPostback\Http\Controllers\PushPostbackPublicWebController@show');
});

// Public API routes for push_postback
Route::group(['prefix' => trans_setlocale().'api/v1/push_postbacks'], function () {
    Route::get('/', 'Guru\PushPostback\Http\Controllers\PushPostbackPublicApiController@index');
    Route::get('/{slug?}', 'Guru\PushPostback\Http\Controllers\PushPostbackPublicApiController@show');
});

